Package csb :: Package statistics :: Package samplers :: Package mc :: Class TrajectoryBuilder

[frames] | no frames]

# Class TrajectoryBuilder

source code

    object --+
             |
            TrajectoryBuilder

Known Subclasses:
  - ShortTrajectoryBuilder

Allows to build a Trajectory object step by step.

Instance Methods

__init__(self, heat=0.0, work=0.0) x.__init__(...) initializes x; see help(type(x)) for signature | source code

add_final_state(self, state) Adds a state to the end of the trajectory | source code

add_initial_state(self, state) Inserts a state at the beginning of the trajectory | source code

add_intermediate_state(self, state) Adds a state to the end of the trajectory | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

create(full=True) Trajectory builder factory. | source code

Properties
| product The Trajectory instance build by a specific instance of this class
Inherited from `object`: `__class__`

Method Details

### __init__(self, heat=0.0, work=0.0)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `heat` (float) - heat produced over the trajectory
  - `work` (float) - work produced during the trajectory
Overrides: object.__init__
  (inherited documentation)

### add_final_state(self, state)

source code

Adds a state to the end of the trajectory

Parameters:
  - `state` (State) - state to be added

### add_initial_state(self, state)

source code

Inserts a state at the beginning of the trajectory

Parameters:
  - `state` (State) - state to be added

### add_intermediate_state(self, state)

source code

Adds a state to the end of the trajectory

Parameters:
  - `state` (State) - state to be added

### create(full=True)
Static Method

source code

Trajectory builder factory.

Parameters:
  - `full` (boolean) - if True, a TrajectoryBuilder instance designed to build a full trajectory with initial state, intermediate states and a final state. If False, a ShortTrajectoryBuilder instance designed to hold only the initial and the final state is returned

Property Details

### product

The Trajectory instance build by a specific instance of this class

Get Method:
  unreachable.product(self) - The Trajectory instance build by a specific instance of this class